.field-unit {
  @include clearfix;
  width: 100%;
  box-sizing: border-box;
  align-items: center;
  display: flex;
  margin-bottom: $base-spacing;
  position: relative;
  padding: 0 $small-spacing;
  flex-wrap: wrap;
  align-items: flex-start;
}

.field-unit__label {
  width: 100%;

  label {
    font-weight: 400;
    color: #7b808c;
    font-size: .83333em;
    letter-spacing: 0.0357em;
    text-transform: uppercase;
  }

  > .field_with_errors {
    > label {
      color: #d62;
    }
  }
}

.field-unit__field {
  min-width: 40.29137%;
}


/*.field-unit__label__ {
  float: none;
  margin: 0;
  width: 100%;
  text-align: left;

}
.field-unit__field {
  margin: 0;
  float: none;
  min-width: 40.29137%;
}*/

.field-unit__help {
  color: #999;
  font-size: .9em;
  margin-left: 1.5em;
  padding-top: .4em;
  width: 55%;
}

//=====================
// Place all the styles related to the entries controller here.
// They will automatically be included in application.css.
// You can use Sass (SCSS) here: http://sass-lang.com/

.field-unit--markdown-text-area, .field-unit--yaml-text-area {
  display: block;
  flex-flow: column;

  > .field-unit__field, .field-unit__label {
  }
  > .field-unit__field {
    max-width: 55em;
    width: initial;
  }
  > .field-unit__help {
    margin-top: -1.7em;
  }
}

div.attribute-label {
  float: none;
}

.preserve-whitespace {
  white-space: pre-wrap;
}

.markdown-text {
  font-family: monospace;
  display: block;
  max-width: 55em;
  font-size: 1.2em;
  color: #444;
  padding: .6em;
}

.field_with_errors {
  [type="color"], [type="date"], [type="datetime"], [type="datetime-local"], [type="email"], [type="month"], [type="number"], [type="password"], [type="search"], [type="tel"], [type="text"], [type="time"], [type="url"], [type="week"], input:not([type]), textarea, select[multiple] {
    border-color: #efc0c1;
  }
}
.errors {
  color: #d62;
  padding: 1em 1em;
  margin: .5em 0 1.5em;
  background-color: #ffe4cd;
}

.empty {
  color: #666;
}

.field-unit--name--title {
  flex-flow: column nowrap;

  > .field-unit__field {
    width: 100%;
    max-width: 60em;

    > input[type=text] {
      font-size: 140%;
      font-weight: 600;
      color: #555;
    }
  }
}
.field-unit--name--slug {
  input[type=text] {
    font-family: "Source Code Pro", monospace;
  }
}

.flash h4 strong {
  font-style: italic;
}

.search__icon > button {
  background: transparent;
  border: none;
  display: inline;
  padding: 0;

  > .search__icon__label {
    display: none;
  }
}
.filter-suggestions {
  padding: 0 1.5em;
  opacity: 0;
  transition: opacity .4s;

  > a {
    color: #AAA;
    font-size: .8em;
    /* font-style: italic; */
    letter-spacing: -.01em;
    border: 1px solid transparent;
    padding: 0 .3em;
    border-radius: 3px;

    &:hover {
      color: #555;
      border-color: #DDD;
    }
  }
  .search-container:hover & {
    opacity: 1;
  }
}
[type="color"], [type="date"], [type="datetime"], [type="datetime-local"], [type="email"], [type="month"], [type="number"], [type="password"], [type="search"], [type="tel"], [type="text"], [type="time"], [type="url"], [type="week"], input:not([type]), textarea, select[multiple] {
  &:not(:disabled) {
    border-left-width: .5rem;
  }
}
